
QGIS Application - Bug report #18716

Crash when using a geopackage and clicked on float selected record to top of attribute button.

2018-04-13 02:59 AM - Andrew Mitchell

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 26603

Description

User Feedback

I reduced the number of visible fields in the attribute table using the dialog.  I then selected a polygon from a land parcels layer using the

draw polygon select tool. To find the selected polygon, I clicked the float selected records to the top button. QGIS crashed. QGIS 3.0.1.

Report Details

Crash ID: c630c136645e156cdbe6dfd86b8655a351e02dbd

Stack Trace

QgsAttributeTableFilterModel::sort :

QgsAttributeTableFilterModel::setSelectedOnTop :

QMetaObject::activate :

QAction::setChecked :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.1-Girona
QGIS code revision: commit:a86bec25eb

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.14393

History

#1 - 2019-01-08 06:10 PM - Julien Cabieces

- Status changed from Open to Feedback

Cannot reproduce the issue with 3.4, do you still had the problem? 

If yes, could you provide some test data

#2 - 2019-02-24 10:16 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
